    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.io.ObjectOutput

public interface ObjectOutput
extends DataOutput

ObjectOutput extends the DataOutput interface to include writing of objects. DataOutput includes methods for output of primitive types, ObjectOutput extends that interface to include objects, arrays, and Strings.

See Also:
  InputStream, ObjectOutputStream, ObjectInputStream

##

close()
  Closes the stream.
flush()
  Flushes the stream.
write(byte[])
  Writes an array of bytes.
write(byte[], int, int)
  Writes a sub array of bytes.
write(int)
  Writes a byte.
writeObject(Object)
  Write an object to the underlying storage or stream.

##

writeObject

     public abstract void writeObject(Object obj) throws IOException

  Write an object to the underlying storage or stream. The class that implements this interface defines how the object is written.

  Throws: IOException
    Any of the usual Input/Output related exceptions.

write

     public abstract void write(int b) throws IOException

  Writes a byte. This method will block until the byte is actually written.

  Parameters:
    b - the byte
  Throws: IOException
    If an I/O error has occurred.

write

     public abstract void write(byte b[]) throws IOException

  Writes an array of bytes. This method will block until the bytes are actually written.

  Parameters:
    b - the data to be written
  Throws: IOException
    If an I/O error has occurred.

write

     public abstract void write(byte b[],
                                int off,
                                int len) throws IOException

  Writes a sub array of bytes.

  Parameters:
    b - the data to be written
    off - the start offset in the data
    len - the number of bytes that are written
  Throws: IOException
    If an I/O error has occurred.

flush

     public abstract void flush() throws IOException

  Flushes the stream. This will write any buffered output bytes.

  Throws: IOException
    If an I/O error has occurred.

close

     public abstract void close() throws IOException

  Closes the stream. This method must be called to release any resources associated with the stream.

  Throws: IOException
    If an I/O error has occurred.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.